<ui:composition xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                xmlns:gri="http://java.sun.com/jsf/composite/gri">
    <gri:panel>

        <ui:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">Permanent link</ui:define>
            <h:outputLink value="#{bean.getPermanentLink(bean.authenticationAttempt)}">
                <h:outputText value="#{bean.getPermanentLink(bean.authenticationAttempt)}"/>
            </h:outputLink>
        </ui:decorate>

        <ui:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">Timestamp</ui:define>
            <g:date date="true" time="true" value="#{bean.authenticationAttempt.timestamp}"/>
        </ui:decorate>

        <ui:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">Authentication Success</ui:define>
            <h:outputText value="#{bean.authenticationAttempt.authenticationSuccess}"/>
        </ui:decorate>

        <ui:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">Used binding</ui:define>
            <h:outputText value="#{bean.authenticationAttempt.usedBinding.label}"/>
        </ui:decorate>

        <ui:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">Username</ui:define>
            <h:outputText value="#{bean.authenticationAttempt.username}"/>
        </ui:decorate>

        <ui:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">Token ID</ui:define>
            <h:outputText value="#{bean.authenticationAttempt.tokenId}"/>
        </ui:decorate>

        <ui:decorate template="/layout/display/_display.xhtml">
            <ui:define name="label">Token</ui:define>
            <h:outputText value="#{bean.authenticationAttempt.token}"/>
        </ui:decorate>

        <ui:insert name="additionalDetails"/>
    </gri:panel>
</ui:composition>